Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.roi
Class ReportPanel

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--com.vistech.roi.ReportPanel

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class ReportPanel
extends javax.swing.JComponent

Creates a panel to display the histogram and the statistics table.

Version:
  2.0 4 Oct 2001
Author:
  Lawrence Rodrigues
See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`protected java.lang.String[][]` | `allRoiData`
`protected java.lang.String[]` | `colNames`
`protected java.lang.String[]` | `componentName`
`protected ROI2D` | `currentROI`
`protected java.awt.Shape` | `currentShape`
`protected java.awt.image.DataBuffer` | `dataBuffer`
`protected MultiHistogram` | `histogram`
`protected java.awt.image.BufferedImage` | `image`
`protected java.lang.String[][]` | `imageData`
`protected int` | `imageHeight`
`protected java.awt.Dimension` | `imageSize`
`protected javax.swing.JTable` | `imageStatsTable`
`protected int` | `imageWidth`
`protected java.awt.image.WritableRaster` | `raster`
`protected java.util.Vector` | `roiCollection`
`protected java.lang.String[]` | `roiColNames`
`protected ROIContext` | `roiContext`
`protected int` | `roiCount`
`protected java.lang.String[][]` | `roiData`
`protected javax.swing.JTable` | `roiStatsTable`
`protected java.awt.image.SampleModel` | `sampleModel`
`protected int` | `viewerHt`
`protected int` | `viewerWid`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ReportPanel()`
`ReportPanel(ROIContext roiContext)`

Method Summary
`void` | `addROI(ROI2D roi)`
`protected void` | `analyzeAndUpdate(java.awt.image.BufferedImage img)`
`MultiHistogram` | `createHistogram()`
`protected javax.swing.JTable` | `createImageStatsTable(java.awt.image.BufferedImage img)`
`protected javax.swing.JTable` | `createROIStatsTable()`
`void` | `reset()`
`void` | `setROIContext(ROIContext roiContext)`
`void` | `setWidHt(java.awt.Dimension d)`
`void` | `updateHistogram()`
`void` | `updateHistogram(int[][] data)`
`void` | `updateHistogram(java.awt.Shape shape)`
`void` | `updateImageStatsTable(java.awt.image.BufferedImage img)`
`boolean` | `updateROIStatsTable()`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getUIClassID, getVerifyInputWhenFocusTarget, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, hide, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processFocusEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### image

    protected java.awt.image.BufferedImage image

### imageWidth

    protected int imageWidth

### imageHeight

    protected int imageHeight

### viewerWid

    protected int viewerWid

### viewerHt

    protected int viewerHt

### histogram

    protected MultiHistogram histogram

### imageStatsTable

    protected javax.swing.JTable imageStatsTable

### roiStatsTable

    protected javax.swing.JTable roiStatsTable

### imageData

    protected java.lang.String[][] imageData

### roiData

    protected java.lang.String[][] roiData

### colNames

    protected java.lang.String[] colNames

### roiColNames

    protected java.lang.String[] roiColNames

### currentShape

    protected java.awt.Shape currentShape

### componentName

    protected java.lang.String[] componentName

### sampleModel

    protected java.awt.image.SampleModel sampleModel

### raster

    protected java.awt.image.WritableRaster raster

### dataBuffer

    protected java.awt.image.DataBuffer dataBuffer

### imageSize

    protected java.awt.Dimension imageSize

### roiCount

    protected int roiCount

### allRoiData

    protected java.lang.String[][] allRoiData

### roiContext

    protected ROIContext roiContext

### roiCollection

    protected java.util.Vector roiCollection

### currentROI

    protected ROI2D currentROI

Constructor Detail

### ReportPanel

    public ReportPanel()

### ReportPanel

    public ReportPanel(ROIContext roiContext)

Method Detail

### setROIContext

    public void setROIContext(ROIContext roiContext)

### analyzeAndUpdate

    protected void analyzeAndUpdate(java.awt.image.BufferedImage img)

### setWidHt

    public void setWidHt(java.awt.Dimension d)

### addROI

    public void addROI(ROI2D roi)

### createROIStatsTable

    protected javax.swing.JTable createROIStatsTable()

### updateROIStatsTable

    public boolean updateROIStatsTable()

### createHistogram

    public MultiHistogram createHistogram()

### updateHistogram

    public void updateHistogram()

### updateHistogram

    public void updateHistogram(java.awt.Shape shape)

### updateHistogram

    public void updateHistogram(int[][] data)

### createImageStatsTable

    protected javax.swing.JTable createImageStatsTable(java.awt.image.BufferedImage img)

### updateImageStatsTable

    public void updateImageStatsTable(java.awt.image.BufferedImage img)

### reset

    public void reset()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD